from django.apps import AppConfig
from django.contrib.auth.signals import user_logged_in

from postgrestutils.helpers import autofetch

from . import app_settings


class PostgrestUtilsConfig(AppConfig):
    name = "postgrestutils"

    def ready(self, *args, **kwargs):
        super().ready(*args, **kwargs)
        if app_settings.AUTOFETCH:
            user_logged_in.connect(autofetch)
