from django.conf import settings

from postgrestutils.client import pgrest_client

from . import app_settings
from .signals import user_account_fetched


def autofetch(sender, **kwargs):
    """Fetch user account on login based on the AUTOFETCH configuration"""
    payload = {
        'select': app_settings.AUTOFETCH
    }

    if settings.DEBUG:
        # prod uuids != dev uuids, thus fall back on matching accounts by username
        payload['username'] = 'eq.{}'.format(kwargs['user'].get_username())
    else:
        payload['auth_provider_uid'] = 'eq.{}'.format(kwargs['user'].sso_mapping.uuid)

    account = pgrest_client.get('account', params=payload, singular=True)
    user_account_fetched.send(sender=None, request=kwargs['request'], account=account)
